
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * MTIType.h:     La SDI_F de MTI
 *
 * Utilise par le module et par les clients
 * (inclut dans MTIMsgLib.h et MTIPosterLib.h)
 * 
 */

#ifndef MTI_TYPE_H
#define MTI_TYPE_H

#include "genom/modules.h"
#include "MTIError.h"

/* Nombre de tache d'execution de ce module */
#define MTI_NB_EXEC_TASK                   (1)


#endif
#ifndef MTI_TYPE1_H
#define MTI_TYPE1_H

#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/MTI-clients/structMTI.h"

/*
 * Structure de donnees interne
 */
typedef struct INERTIAL_STR {
	INERTIAL_DEVICE device;
	INERTIAL_CONFIG config;
	INERTIAL_DATA sensorData;
	POM_SENSOR_POS pomPos;
	GEN_STRING128 fileName;
	AVERAGING_PARAMETERS averagingParameters;
	MTI_BIASES biases;
} INERTIAL_STR;


#endif

